Subject: Re: bug#15535: Acknowledgement (24.3.50; basic-save-buffer should update buffer-file-coding-system value if the contents were written using different coding system)

From: Kenichi Handa <[email-masked]>
Date: Mon, 07 Oct 2013 23:59:25 +0900

In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:
[...]
> You now have foo with `undecided' as its buffer-file-coding-system.
> Then:

>  C-u C-\ cyrillic-translit RET
>  abvgde
>  C-\
>  C-x C-s

> The file is saved (as UTF-8, as can be seen by examining it on disk),
> but without asking for encoding, and without changing
> buffer-file-coding-system to reflect the actual encoding.

> What happens is that `undecided' silently encodes the buffer in UTF-8,
> but never communicates that fact back to its callers.  So write-region
> thinks it used `undecided', as does select-safe-coding-system.  The
> latter is actually equipped to DTRT when the `prefer-utf-8' variant of
> `undecided' is used, but that is not the case here.

> Is this what was supposed to happen

No.  I think the behavior of 24.3 is correct.  So, some
change in trunk has a problem.  But, as far as I remember I
have not touched any codes that relate to this misbehavior.
I'm now investigating what has been changed from 24.3.

---
Kenichi Handa
[email-masked]